/***********************************************************************

	File:	sthgp_polytope.h
	Rev:	a-2
	Date:	01/25/2025

	Copyright (c) 1997, 2025 by David M. Warme

************************************************************************

	A wrapper for polytope STGP(n).

************************************************************************

	Modification Log:

	a-1:	08/09/2021	warme
		: Created.
	a-2:	01/25/2025	warme
		: Cleanup for initial release.

************************************************************************/

#ifndef STGP_POLYTOPE_H
#define	STGP_POLYTOPE_H

extern struct Polytope *	make_STGP_polytope (int n);

/* Return the edge_list data structure. */
extern int **		get_STGP_edge_list (const struct Polytope * p);

#endif
