/***********************************************************************

	$Id: logic.h,v 1.1 2025/01/26 02:31:38 warme Exp $

	File:	logic.h
	Rev:	a-1
	Date:	01/25/2025

	Copyright (c) 2012, 2025 by David M. Warme.  All rights
	reserved.  This work is licensed under a Creative Commons
	Attribution-NonCommercial-ShareAlike 4.0 International License.

************************************************************************

	Macros to remove some of C's sharpest edges.

************************************************************************

	Modification Log:

	a-1:	01/25/2025	warme
		: Cleanup for initial release.

************************************************************************/

#ifndef LOGIC_H
#define LOGIC_H

#define NOT !
#define AND &&
#define OR ||
#define EQ ==
#define NE !=

#define FALSE 0
#define TRUE 1

#ifndef NULL
 #define NULL 0
#endif

#endif
