/***********************************************************************

	File:	sthgp_polytope.h
	Rev:	a-2
	Date:	01/25/2025

	Copyright (c) 1997, 2025 by David M. Warme

************************************************************************

	A wrapper for polytope STHGP(n).

************************************************************************

	Modification Log:

	a-1:	09/07/2015	warme
		: Created.
	a-2:	01/25/2025	warme
		: Cleanup for initial release.

************************************************************************/

#ifndef STHGP_POLYTOPE_H
#define	STHGP_POLYTOPE_H

extern struct Polytope *	make_STHGP_polytope (int n);

extern int **			get_STHGP_edge_list (const struct Polytope * poly);

#endif
