/***********************************************************************

	File:	stnp_polytope.h
	Rev:	a-2
	Date:	01/25/2025

	Copyright (c) 1997, 2025 by David M. Warme

************************************************************************

	A wrapper for polytope STNGP(n,m) and STNHGP(n,m).

************************************************************************

	Modification Log:

	a-1:	08/27/2021	warme
		: Created.
	a-2:	01/25/2025	warme
		: Cleanup for initial release.

************************************************************************/

#ifndef STNP_POLYTOPE_H
#define	STNP_POLYTOPE_H

extern struct Polytope *	make_STNGP_polytope (int n, int m);
extern struct Polytope *	make_STNHGP_polytope (int n, int m);

/* Return the edge_list data structure. */
extern int **		get_STNGP_edge_list (const struct Polytope * p);

#endif
